'use server';

import Link from 'next/link';
import { Button } from '@/components/ui';
import { getProfile } from '@/lib/actions';
import AvatarDropdown from './AvatarDropdown';

const NavigationAuth = async () => {
  try {
    const profile = await getProfile();
    return profile.success ? (
      <div className='flex items-center gap-4'>
        <AvatarDropdown />
      </div>
    ) : (
      <div className='flex gap-2'>
        <Button asChild size='default' variant={'outline'}>
          <Link href='/sign-in'>Sign in</Link>
        </Button>
        <Button asChild size='sm' variant={'default'}>
          <Link href='/sign-up'>Sign up</Link>
        </Button>
      </div>
    );
  } catch (error) {
    console.error('Error getting profile:', error);
  }
};
export default NavigationAuth;
