'use client';

import { CardContent, CardHeader, CardTitle } from '@/components/ui';
import { SubmitButton } from '@/components/default';
import { useRouter } from 'next/navigation';
import { useAuth } from '@/components/context/auth';
import { signOut } from '@/lib/actions';

export const SignOut = () => {
  const { isLoading, refreshUserData } = useAuth();
  const router = useRouter();

  const handleSignOut = async () => {
    const result = await signOut();
    if (result?.success) {
      await refreshUserData();
      router.push('/sign-in');
    }
  };
  return (
    <div className='flex justify-center'>
      <CardHeader className='md:w-5/6 w-full'>
        <SubmitButton
          disabled={isLoading}
          onClick={handleSignOut}
        >
          Sign Out
        </SubmitButton>
      </CardHeader>
    </div>
  );
};
